<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "docscore".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Docscore".
 *
 * Columns in table "docscore" available as properties of the model,
 * and there are no model relations.
 *
 * @property string $id
 * @property string $action
 * @property string $base_every
 * @property string $base_pts
 * @property string $bonus_every
 * @property string $bonus_pts
 * @property string $bonus_limit
 * @property string $per
 *
 */
abstract class BaseDocscore extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'docscore';
    }

    public static function representingColumn()
    {
        return 'action';
    }

    public function rules()
    {
        return array(
            array('action', 'required'),
            array('action', 'length', 'max' => 50),
            array('per', 'length', 'max' => 1),
            array('base_every, base_pts, bonus_every, bonus_pts, bonus_limit', 'length', 'max' => 10),
            array('base_every, base_pts, bonus_every, bonus_pts, bonus_limit, per', 'default',
                'setOnEmpty' => true, 'value' => null),
            array('id, action, base_every, base_pts, bonus_every, bonus_pts, bonus_limit, per',
                'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'action' => Yii::t('app', 'Action'),
            'base_every' => Yii::t('app', 'Base Every (unused)'),
            'base_pts' => Yii::t('app', 'Base Pts'),
            'bonus_every' => Yii::t('app', 'Bonus Every (unused)'),
            'bonus_pts' => Yii::t('app', 'Bonus Pts (unused)'),
            'bonus_limit' => Yii::t('app', 'Bonus Limit (unused)'),
            'per' => Yii::t('app', 'Per (V=Provider - T=Practice)'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('action', $this->action, true);
        $criteria->compare('base_every', $this->base_every, true);
        $criteria->compare('base_pts', $this->base_pts, true);
        $criteria->compare('bonus_every', $this->bonus_every, true);
        $criteria->compare('bonus_pts', $this->bonus_pts, true);
        $criteria->compare('bonus_limit', $this->bonus_limit, true);
        $criteria->compare('per', $this->per, true);

        return new CActiveDataProvider(
            get_class($this),
            array(
                'criteria' => $criteria,
                'pagination' => array('pageSize' => 100)
            )
        );
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'Docscore|Docscores', $n);
    }

}
